OutputFormat.DTD (Other Classes)
Date: 2016-02-03

org.apache.xml.serialize

## Class OutputFormat.DTD

- java.lang.Object
- - org.apache.xml.serialize.OutputFormat.DTD

- Enclosing class:
    OutputFormat

  Deprecated.
  This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML and HTML. See the Xerces documentation for more information.

      public static class OutputFormat.DTD
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `HTMLPublicId` Deprecated. Public identifier for HTML 4.01 (Strict) document type.
    `static java.lang.String` | `HTMLSystemId` Deprecated. System identifier for HTML 4.01 (Strict) document type.
    `static java.lang.String` | `XHTMLPublicId` Deprecated. Public identifier for XHTML 1.0 (Strict) document type.
    `static java.lang.String` | `XHTMLSystemId` Deprecated. System identifier for XHTML 1.0 (Strict) document type.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutputFormat.DTD()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### HTMLPublicId

          public static final java.lang.String HTMLPublicId

      Deprecated.
      Public identifier for HTML 4.01 (Strict) document type.
      See Also:
        Constant Field Values

    - #### HTMLSystemId

          public static final java.lang.String HTMLSystemId

      Deprecated.
      System identifier for HTML 4.01 (Strict) document type.
      See Also:
        Constant Field Values

    - #### XHTMLPublicId

          public static final java.lang.String XHTMLPublicId

      Deprecated.
      Public identifier for XHTML 1.0 (Strict) document type.
      See Also:
        Constant Field Values

    - #### XHTMLSystemId

          public static final java.lang.String XHTMLSystemId

      Deprecated.
      System identifier for XHTML 1.0 (Strict) document type.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OutputFormat.DTD

          public OutputFormat.DTD()

      Deprecated.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.